package flutter.dsw.com.andoter_flutter;

import android.content.Context;

import com.sensorsdata.analytics.android.sdk.SensorsDataAPI;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** AndoterFlutterPlugin */
public class AndoterFlutterPlugin implements MethodCallHandler {
  private final Context mContext;
  public AndoterFlutterPlugin(Context context) {
    this.mContext = context;
  }

  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "andoter_flutter");
    channel.setMethodCallHandler(new AndoterFlutterPlugin(registrar.context()));
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if (call.method.equals("trackEvent")) {
      SensorsDataAPI.sharedInstance(mContext).track("flutter");
      result.success("success");
    } else {
      result.notImplemented();
    }
  }
}
